[api]
   dashboard = true

[certificatesResolvers.letsencrypt.acme]
  email = "{{ config.letsencrypt_email }}"
  storage = "/var/lib/traefik/acme/acme.json"
  [certificatesResolvers.letsencrypt.acme.dnsChallenge]
    provider = "cloudflare"

[entryPoints]
  [entryPoints.web]
    address = ":80"
    [entryPoints.web.http.redirections.entrypoint]
      to = "websecure"
      scheme = "https"

  [entryPoints.websecure]
    address = ":443"
    [entryPoints.websecure.http]
      middlewares = ["security@file"]

[log]
  level = "INFO"

[providers]
  [providers.docker]
    exposedByDefault = false
  [providers.file]
    filename = "/etc/traefik/provider.toml"
